//app.js
import {
  GetQueryString
} from 'utils/util'

// const Towxml = require('/towxml/main');
App({
  onLaunch: function (options) {
    // 判断设备是否为 iPhone X
    this.checkIsIPhoneX()
    options.referrerInfo.extraData && (this.globalData.upgradeHide = options.referrerInfo.extraData.upgrade)
  },
  globalData: {
    isIPX: false, // 当前设备是否为 iPhone X
    isIOS: false, // 判断设备是否为苹果
    userInfo: null,
    statusBarHeight: wx.getSystemInfoSync()['statusBarHeight'],
    userGrade: '二年级',
    upgradeHide: true
  },
  checkIsIPhoneX: function () {
    const self = this
    wx.getSystemInfo({
      success: function (res) {
        // 根据 model 进行判断
        console.log(res)
        console.log(res.system.search('iOS'))
        if (res.model.search('iPhone X') != -1) {
          self.globalData.isIPX = true
        }
        if (res.system.search('iOS') != -1) {
          self.globalData.isIOS = true
        }
      }
    })
  },
  // towxml: new Towxml()
})